Skip to main content
GET
/
analytics
/
budget-usage
Error
A valid request URL is required to generate request examples
[
  {
    "budget": 123,
    "budget_start_date": "<string>",
    "entity_id": 123,
    "entity_type": "<string>",
    "name": "<string>",
    "spent": 123,
    "total_cost": 123,
    "total_tokens": 123,
    "usage": 123,
    "user_email": "<string>",
    "user_id": 123
  }
]

Query Parameters

start_date
string

Start date (YYYY-MM-DD) for total cost calculation

end_date
string

End date (YYYY-MM-DD) for total cost calculation

Response

OK

budget
number
budget_start_date
string
entity_id
integer
entity_type
string

"LLM" or "App"

name
string
spent
number
total_cost
number

cost for the specified date range

total_tokens
integer

total tokens for the specified date range

usage
number

percentage

user_email
string

Email of the user who owns the app (pointer to handle null case)

user_id
integer

ID of the user who owns the app